%%  Copyright (c) 1997, Russel Winder.
%%  With DMTCS-specific alterations by Jeremy Thompson (September 1997)
%%                                     Jens Gustedt (October 1998)
%%  With AlgoTel-specific alterations by ric Fleury (Mars 2000)
%%  Renamed for dsom2001 by Olivier Festor (March 2001)
%%  Renamed for sar2003 by Isabelle Chrisment (April 2003)
%%  Updated and renamed for SAR-SSI 2008 by Francois Lesueur (April 2008)
\def \fileversion{v1.4}
\def \filedate{2008/04/27}
\def \docdate{\filedate}
\newcommand \journalacronym{sarssi}
\newif \if@@draft
\NeedsTeXFormat{LaTeX2e}
\usepackage{ifthen}
\DeclareOption{11pt}{\ClassError{\journalacronym}{Option `11pt' not supported}{}}
\DeclareOption{12pt}{\ClassError{\journalacronym}{Option `12pt' not supported}{}}
\DeclareOption{twocolumn}{\ClassError{\journalacronym}{Option `twocolumn' not supported}{}}
\newcommand{\reftexRun}{}\newcommand{\href}[2]{#2}
%\DeclareOption{pdftex}{\renewcommand{\reftexRun}{\RequirePackage[pdftex]{hyperref}}}
%\newcommand{\timesRun}{\RequirePackage{times}}%\RequirePackage{mathptm}}
%\DeclareOption{notimes}{\renewcommand{\timesRun}{}}
\newcommand{\setLanguage}{
\def \@keywordslabel{Mots Cl\'es :}
\def \@abstractlabel{R\'esum\'e :}
\def \@authorand{et}
}
\DeclareOption{english}{\renewcommand{\setLanguage}{
\def \@keywordslabel{Keywords:}
\def \@abstractlabel{Abstract:}
\def \@authorand{and}
}}
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\PassOptionsToClass{twoside}{article}
\ProcessOptions
\LoadClass{article}
\RequirePackage{latexsym}
%\timesRun
\reftexRun
\setLanguage
\renewcommand\figurename{Fig.}
\renewcommand\tablename{Tab.}
\setlength{\paperheight}{240mm}%
\setlength{\paperwidth}{177mm}%
\def\CLASSINFOpaperwidth{177mm}%
\def\CLASSINFOpaperheight{240mm}
{\@ifundefined{pdfoutput}{\AtBeginDvi{\special{papersize=177mm,240mm}}}{%
\@ifundefined{pdfpageheight}{\relax}{\global\pdfpagewidth\paperwidth
\global\pdfpageheight\paperheight}%
% if using \pdfoutput=0 under pdflatex, send dvips papersize special
\ifcase\pdfoutput
\AtBeginDvi{\special{papersize=\CLASSINFOpaperwidth,\CLASSINFOpaperheight}}%
\else
% we are using pdf output, set CLASSINFOpdf flag
\fi}}

%\setlength \pdfpageheight{240mm}
%\setlength \pdfpagewidth{177mm}
% \setlength \paperheight{240mm}
% \setlength \paperwidth{177mm}
\setlength \textheight{19.5cm}
\setlength \textwidth{13.7cm}
\setlength \headsep{1cm}
\setlength \footskip{1cm}
\setlength \headheight{0cm}
% \setlength \oddsidemargin{16.1mm} % for final version
% \setlength \evensidemargin{6.1mm} % for final version
\setlength \oddsidemargin{25mm} % for final version
\setlength \evensidemargin{15mm} % for final version
\addtolength{\oddsidemargin}{-1in}
\addtolength{\evensidemargin}{-1in}
\setlength \topmargin{10mm} % for A4
\addtolength{\topmargin}{-1in}
%\setlength \topmargin{-15.4mm} % for A4
% \setlength \topmargin{-20mm} % for final version

%\setlength \textfloatsep{13\p@ \@plus 2\p@ \@minus 4\p@}
%\setlength \dbltextfloatsep{13\p@ \@plus 2\p@ \@minus 4\p@}
%\setlength \parskip{\z@ \@plus 1\p@}
%\setlength \parindent{10\p@}
%\setlength \topsep{4\p@ \@plus 2\p@ \@minus 1\p@}
%\setlength \partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}
\def \title{\@ifnextchar[{\@gettitletwo}{\@gettitleone}}
\def \@gettitleone#1{\@gettitletwo[#1]{#1}}
\def \@gettitletwo[#1]#2{{%
    \gdef \@title{#2}%
    \def \thanks##1{\relax}%
    \def \\{\unskip \space \ignorespaces}%
    \xdef \@titlehead{#1}%
}}
\newcommand \addressmark[1]{%
    \if@marksrequired%
        $^{#1}$%
    \fi%
}

\newcounter{institutions}
%\def\blfootnote{\xdef\@thefnmark{\@institute}\@footnotetext}
\newcommand \@institute{$^{\fnsymbol{institutions}}$}
\newcommand \institute[1]{
\ignorespaces\unskip\ignorespaces
\addtocounter{institutions}{1}\footnotetext[\value{institutions}]{\noindent \small{#1}}
\ignorespaces\unskip\ignorespaces
}
%\footnotetext[\value{institutions}]{\begin{minipage}[t]{\textwidth}\small{#1}\end{minipage}}
\newif \if@marksrequired
\def \author{\@ifnextchar[{\@getauthortwo}{\@getauthorone}}
\def \@getauthorone#1{\@getauthortwo[#1]{#1}}
\def \@getauthortwo[#1]#2{{%
    \global \@marksrequiredtrue%
    \global \let \latexand \and%
    \gdef \and{\unskip\ignorespaces\@institute\\}%
    \gdef \@author{\if@@draft \strut \else #2\@institute\fi}%
    %\def \thanks##1{\relax}%
    %\def \\{\unskip \space \ignorespaces}%
    \@marksrequiredfalse%
    %\gdef \and{\unskip \space \@authorand \space \ignorespaces}%
    \gdef \@authorhead{\if@@draft \space \else #1\fi}% was xdef
}}



\newcommand \address[1]{\gdef \@address{\if@@draft \strut \else #1\fi}}
\def \@firsthead{\relax}
\def \@keywords{\relax}
\newcommand \keywords[1]{\gdef \@keywords{#1}}
\newcommand \@afterabstract@keywords[1]{%
    \gdef \@keywords{#1}%
    \@dokeywords%
}
\newcommand \@dokeywords{%
    { \begin{center} \begin{minipage}{13cm} \noindent \small{\textbf{\@keywordslabel} \@keywords} \par\end{minipage}\end{center}}%
    %\vspace{10\p@}%
    %\hrule \@height 1\p@%
    \vspace{10\p@}%
    \global \let \keywords \@gobbleone%
}
\newcommand \trykeywords{%
    \if \relax \@keywords%
        \global \let \keywords \@afterabstract@keywords%
        \vspace{10\p@}%
        %\hrule \@height 1\p@%
        \vspace{10\p@}%
    \else%
        \@dokeywords%
    \fi%
}        
\renewcommand \part{}
\renewcommand \section{\@startsection {section}{1}{\z@}%
    {-10\p@ \@plus -3\p@ \@minus -2\p@}{6\p@ \@plus 1\p@ \@minus 1\p@}{\sffamily\Large}}
\renewcommand \subsection{\@startsection{subsection}{2}{\z@}%
    {-8\p@ \@plus -2\p@ \@minus -2\p@}{5\p@ \@plus 1\p@ \@minus 1\p@}{\sffamily\large\itshape}}
\renewcommand \subsubsection{\@startsection{subsubsection}{3}{\z@}%
    {-6\p@ \@plus -1 pt \@minus -1\p@}{4\p@ \@plus 1\p@ \@minus 1\p@}{\sffamily\large\itshape}}
\renewcommand \paragraph{\@startsection{paragraph}{4}{\z@}%
    {6\p@ \@plus 1\p@ \@minus -2\p@}{-1em}{\normalsize\bfseries}}
\renewcommand \subparagraph{\@startsection{subparagraph}{4}{\parindent}%
    {6\p@ \@plus 1\p@ \@minus 2\p@}{-1em}{\normalsize\bfseries}}
\renewcommand \appendix{%
    \par%
    \setcounter{section}{0}%
    \setcounter{subsection}{0}%
    \gdef \thesection{\Alph{section}}%
}
%\renewcommand \footnoterule{\kern-3\p@ \hrule \@height 0.8\p@ \kern 2.2\p@}
\long \def \@makefntext#1{\hangindent 7\p@$^{\textrm{\@thefnmark}}$ #1}
\renewcommand \thefootnote{\arabic{footnote}}
\long \def \@makecaption#1#2{%
    \vskip \abovecaptionskip%
    \small%
    \sbox \@tempboxa{\textbf{#1:} #2}%
    \ifdim \wd \@tempboxa > \hsize%
        \textbf{#1:} #2%
        \par%
    \else%
        \global \@minipagefalse%
        \hb@xt@ \hsize{\hfil \box\@tempboxa \hfil}%
    \fi%
    \vskip \belowcaptionskip%
}
\renewcommand \maketitle{\par%
    \begingroup%
        \def \thefootnote{\fnsymbol{footnote}}%
        %\def \@makefnmark{\hb@xt@ \z@{$\m@th^{\@thefnmark}$\hss}}%
        %\long \def \@makefntext##1{\parindent 1em\noindent
        %    \hb@xt@ 1.8em{\hss $\m@th^{\@thefnmark}$}##1}%
        \setcounter{footnote}{0}%
        \newpage%
        \global \@topnum \z@%
        \@maketitle%
        \thispagestyle{first}%
        \@thanks%
    \endgroup%
    \global \let \maketitle \relax%
    \global \let \@maketitle \relax%
    \gdef \@author{}%
%    \gdef \@thanks{}%
    \gdef \@title{}%
%    \global \let \thanks \relax%
}

\newenvironment{titlesp}{%
    \list{}{\leftmargin \z@}\item[]%
}{\endlist}

\newcommand{\email}[1]{\texttt{(#1)}}
%\newcommand{\email}[1]{(#1)}


\def \@maketitle{%
    %\newpage%
    %\null%
    %\begin{titlesp}%
        {\raggedleft \hyphenpenalty=\@M \huge \textsf {\@title} \par}%
        \vspace{16\p@}%
        {\raggedleft\large \@author \par}%
        \vspace{6\p@}%
        %{\raggedleft\small \itshape \@address \par}%
        \vspace{6\p@}%
        \vspace{18\p@}%
        %\hrule \@height 1\p@%
\vspace{2\p@}%
    %\end{titlesp}%
}
\renewenvironment{abstract}{%
%    \begin{titlesp}
 \centering\begin{minipage}{13cm}\small\textbf{\@abstractlabel}}%
        %\small}
{\end{minipage}
%\end{titlesp}%
   \trykeywords%
}
\newcommand \noabstract{\trykeywords}
\def \ps@first{%
    \let \@mkboth \@gobbletwo%
    \def \@oddhead{\normalfont \@firsthead \hss}%
    \def \@oddfoot{%
        \vbox to \z@{%
            \hb@xt@ \textwidth{\footnotesize%
              \hss}%
            \if@@draft \@typesetdetails \fi%
            \vss%
        }%
    }%
    \def \@oddfoot{%
    \ifodd \c@page%
        \hfill \emph{ } \space\space\space\space\space\space \textrm{ }%
    \else%
           \textrm{ } \space\space\space\space\space\space \emph{ } \hfill
               %
            \fi%
        }
    \let \@evenhead = \@oddhead%
    \let \@evenfoot = \@oddfoot%
    \let \sectionmark = \@gobble%
    \let \subsectionmark = \@gobble%
}
\def \ps@journal{%
    \let \@mkboth \@gobbletwo%
    \def \@oddhead{%
\normalsize%
\ifodd \c@page%
    \hfill \textit{\@titlehead} % \textrm{ }%
\else%
            %\textrm{ } 
            \gdef \and{\unskip  \space \ignorespaces \@authorand \space}%
            \textit{\@authorhead} \hfill %
        \fi%
    }
    %\def \@oddfoot{\vbox to \z@{\if@@draft \@typesetdetails \fi \vss}}%
        \def \@oddfoot{%
    \normalsize%
    \ifodd \c@page%
        \hfill \emph{ } \space\space\space\space\space\space \textrm{ }%
    \else%
           \textrm{ } \space\space\space\space\space\space \emph{ } \hfill
               %
            \fi%
        }
    \let \@evenhead = \@oddhead%
    \let \@evenfoot = \@oddfoot%
    \let \sectionmark = \@gobble%
    \let \subsectionmark = \@gobble%
}
\pagestyle{journal}
\pagenumbering{arabic}
\let \ps@plain = \ps@journal
\let \ps@myheadings = \ps@journal
\let \ps@headings = \ps@journal
\flushbottom
\newcommand{\qed}{\hfill$\Box$}
\endinput
%% 
%% End of file `dmtcs.cls'.
